2022-08-19 06:24 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003164FSSCPgraphicspublic2022-06-10 20:53
Reporterzookeeper 
Assigned ToSwifty 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.3 
Target VersionFixed in Version22.0.0 
Summary0003164: -destroyed turrets have wrong orientation
DescriptionIf a multipart turret has a -destroyed version, it will not be drawn in the same orientation the turret base was in when it was destroyed. It seems that the orientation of the -destroyed submodel doesn't take the turret base's fvec/uvec into account.

This is likely introduced by the new rendering code. Previously, a -destroyed turret appeared facing exactly the same direction as the live turret was when it got destroyed. Now, it only works correctly if the -destroyed submodel is given the same fvec/uvec as the turret base.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0017120

MjnMixael (manager)

Tested with the attached mission + cheats + ~shift-k to destroy turrets when they were rotated. Seems to no longer be an issue on 22.2 RC1.

Recommend closing.
+Notes

-Issue History
Date Modified Username Field Change
2015-06-05 05:55 zookeeper New Issue
2015-06-05 05:55 zookeeper Status new => assigned
2015-06-05 05:55 zookeeper Assigned To => Swifty
2022-06-10 14:25 MjnMixael File Added: DestroyedTurretTest.fs2
2022-06-10 14:25 MjnMixael Note Added: 0017120
2022-06-10 14:55 z64555 Status assigned => closed
2022-06-10 14:55 z64555 Resolution open => fixed
2022-06-10 14:55 z64555 Fixed in Version => 22.0.0
2022-06-10 20:53 Goober5000 Status closed => resolved
+Issue History